var Material = function(r,g,b,a,dif,amb,emi,spc,power,texture)
{
	this._r = r;
	this._g = g;
	this._b = b;
	this._a = a;
	this._dif = dif;
	this._amb = amb;
	this._emi = emi;
	this._spc = spc;
	this._power = power;
	this._texture = texture;
};

Material.prototype =
{
	init : function()
	{
	},
	getMaterial : function()
	{
		return this;
	},
	getColor : function()
	{
		return [this._r,this._g,this._b,this._a];
	},
	setTexture : function(index)
	{
		if ( !this._texture )
		{
			return;
		}
		_gl.activeTexture(_gl.TEXTURE0);
   	    _gl.bindTexture(_gl.TEXTURE_2D, this._texture);
		_gl.uniform1i(_shaderProgram.u_sampler, 0);
	},
	setLight : function()
	{
		if ( this._texture && this._emi >= 0.5 )
		{
			_gl.uniform1i(_shaderProgram.u_useLight, false);
		}
	}

};
